Package org.apache.sysds.runtime.functionobjects

# Class Modulus

java.lang.Object
org.apache.sysds.runtime.functionobjects.FunctionObject
org.apache.sysds.runtime.functionobjects.ValueFunction
org.apache.sysds.runtime.functionobjects.Modulus

All Implemented Interfaces:
  `Serializable`

public class Modulus extends ValueFunction
Integer modulus, where we adhere to the defined R semantics: ("%% indicates x mod y and %/% indicates integer division. It is guaranteed that x == (x %% y) + y * ( x %/% y ) (up to rounding error) unless y == 0")

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`double`
`execute(double in1, double in2)`
`double`
`execute(long in1, long in2)`
`static Modulus`
`getFnObject()`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`isBinary, requiresCorrection, toString`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getFnObject

public static Modulus getFnObject()

### execute

public double execute(double in1, double in2)

Overrides:
  `execute` in class `FunctionObject`

### execute

public double execute(long in1, long in2)

Overrides:
  `execute` in class `FunctionObject`